summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'net-dialup/speedtouch/files')
-rw-r--r--net-dialup/speedtouch/files/digest-speedtouch-1.11
-rw-r--r--net-dialup/speedtouch/files/digest-speedtouch-1.21
-rw-r--r--net-dialup/speedtouch/files/digest-speedtouch-1.2_beta21
-rw-r--r--net-dialup/speedtouch/files/digest-speedtouch-1.3.1-r1 (renamed from net-dialup/speedtouch/files/digest-speedtouch-1.3.1)0
-rw-r--r--net-dialup/speedtouch/files/speedtouch.rc683
5 files changed, 0 insertions, 86 deletions
diff --git a/net-dialup/speedtouch/files/digest-speedtouch-1.1 b/net-dialup/speedtouch/files/digest-speedtouch-1.1
deleted file mode 100644
index 24acc1658028..000000000000
--- a/net-dialup/speedtouch/files/digest-speedtouch-1.1
+++ /dev/null
@@ -1 +0,0 @@
-MD5 f7828aefa97b66903f048204fadbe94c speedtouch-1.1.tar.bz2 137412
diff --git a/net-dialup/speedtouch/files/digest-speedtouch-1.2 b/net-dialup/speedtouch/files/digest-speedtouch-1.2
deleted file mode 100644
index 53029d6f1cb8..000000000000
--- a/net-dialup/speedtouch/files/digest-speedtouch-1.2
+++ /dev/null
@@ -1 +0,0 @@
-MD5 fa55748175d14dcf8ebe22577df408b3 speedtouch-1.2.tar.bz2 188536
diff --git a/net-dialup/speedtouch/files/digest-speedtouch-1.2_beta2 b/net-dialup/speedtouch/files/digest-speedtouch-1.2_beta2
deleted file mode 100644
index 20207d345284..000000000000
--- a/net-dialup/speedtouch/files/digest-speedtouch-1.2_beta2
+++ /dev/null
@@ -1 +0,0 @@
-MD5 450005ae68dc6b0323c54d4117460031 speedtouch-1.2-beta2.tar.bz2 170497
diff --git a/net-dialup/speedtouch/files/digest-speedtouch-1.3.1 b/net-dialup/speedtouch/files/digest-speedtouch-1.3.1-r1
index a2553a2dd249..a2553a2dd249 100644
--- a/net-dialup/speedtouch/files/digest-speedtouch-1.3.1
+++ b/net-dialup/speedtouch/files/digest-speedtouch-1.3.1-r1
diff --git a/net-dialup/speedtouch/files/speedtouch.rc6 b/net-dialup/speedtouch/files/speedtouch.rc6
deleted file mode 100644
index ff123fd58543..000000000000
--- a/net-dialup/speedtouch/files/speedtouch.rc6
+++ /dev/null
@@ -1,83 +0,0 @@
-#!/sbin/runscript
-# Copyright 1999-2004 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-dialup/speedtouch/files/speedtouch.rc6,v 1.5 2004/07/14 23:11:58 agriffis Exp $
-
-PPP=$(which pppd)
-MODEM_RUN=$(which modem_run)
-MOUNT=$(which mount)
-UMOUNT=$(which umount)
-IFCONFIG=$(which ifconfig)
-
-MAX_LOOP=60
-
-check_modem_run() {
-[ "${MICROCODE:-set}" = set ] && ( eend 1 "Please define \$MICROCODE in /etc/conf.d/speedtouch" ; exit 1 )
-[ -f ${MICROCODE} ] ; eend $? "Failed to find the microcode." || exit 1
-[ -x ${MODEM_RUN} ] ; eend $? "Failed to find the 'modem_run' executable." || exit 1
-
-# usbdevfs is up ?
-( ${MOUNT} | grep -q usbdevfs ) || $MOUNT none /proc/bus/usb -t usbdevfs > /dev/null 2>&1
-
-sleep 1
-
-## Let's check if modem_run is UP. If not let's try lauching it (again)?
-( ps -e | grep -q modem_run ) || $MODEM_RUN -v $VERBOSE -m $MODEM_RUN_EXTRAOPTS -f $MICROCODE
-RETURNED=$?
-
-sleep 1
-if [ $RETURNED -ne 0 ]; then # modem_run CAN'T run
- eerror "Can't load the microcode !!"
- eerror "Please detach and attach again your modem to the USB port to unload the microcode."
- eerror "Then run '/etc/init.d/speedtouch start'"
-return 1
-fi
-
-}
-
-depend() {
-need localmount modules
-}
-
-start() {
-
-ebegin "Starting Speedtouch ADSL Modem..."
-
-check_modem_run || eend 1 "Failed to start Speedtouch ADSL Modem..."
-
-[ ! -z $PPP ] ; eend $? "Failed to find ppp" || exit 1
-[ -f "/etc/ppp/peers/$PEER" ] ; eend $? "Failed to find peer configuration" || exit 1
-[ -x $IFCONFIG ] ; eend $? "Failed to find 'ifconfig'" || exit 1
-
-## Allright. Start pppd.
-einfo "Launching the PPP daemon..."
-rm -f /var/run/pppoa*.pid
-start-stop-daemon --start --exec $PPP call $PEER > /dev/null 2>&1
-
-RETURNED=1
-LOOPS=0
-
-# Loop until connection has been established with the ISP
-# or the transaction has failed
-while [ $RETURNED -ne 0 ] && [ $LOOPS -le $MAX_LOOP ] ; do
- $IFCONFIG | grep -q 'ppp'
- RETURNED=$?
- LOOPS=`expr $LOOPS + 1`
- sleep 1
-done
-
-if [ $LOOPS -gt $MAX_LOOP ] && [ $RETURNED -ne 0 ] ; then
- eerror "Failed to start the PPP daemon" ; return 1
-fi
-
-
-eend $? "Failed to start Speedtouch ADSL Modem..."
-}
-
-stop () {
-ebegin "Shutting down the SpeedTouch ADSL Modem..."
-
-start-stop-daemon --stop --pidfile /var/run/ppp0.pid pppd
-
-eend $? "Failed to stop 'pppd'."
-}